org.encog.app.analyst.csv.segregate

## Class SegregateTargetPercent

- java.lang.Object
- - org.encog.app.analyst.csv.segregate.SegregateTargetPercent

-     public class SegregateTargetPercent
      extends Object

  Specifies a segregation target, and what percent that target should need.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SegregateTargetPercent(File outputFile, int thePercent)` Construct the object.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `File` | `getFilename()`
    `int` | `getNumberRemaining()`
    `int` | `getPercent()`
    `void` | `setFilename(File theFilename)`
    `void` | `setNumberRemaining(int theNumberRemaining)`
    `void` | `setPercent(int thePercent)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SegregateTargetPercent

          public SegregateTargetPercent(File outputFile,
                                int thePercent)

      Construct the object.
      Parameters:
        `outputFile` - The output filename.
        `thePercent` - The target percent.

  - ### Method Detail

    - #### getFilename

          public File getFilename()

      Returns:
        the filename

    - #### getNumberRemaining

          public int getNumberRemaining()

      Returns:
        the numberRemaining

    - #### getPercent

          public int getPercent()

      Returns:
        the percent

    - #### setFilename

          public void setFilename(File theFilename)

      Parameters:
        `theFilename` - the filename to set

    - #### setNumberRemaining

          public void setNumberRemaining(int theNumberRemaining)

      Parameters:
        `theNumberRemaining` - the numberRemaining to set

    - #### setPercent

          public void setPercent(int thePercent)

      Parameters:
        `thePercent` - the percent to set

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2014. All Rights Reserved.